Skip to main content
POST
/
v1
/
payments
/
{payment_id}
/
notify-fulfillment
Notify fulfillment
curl --request POST \
  --url https://api-sandbox.y.uno/v1/payments/{payment_id}/notify-fulfillment \
  --header 'Content-Type: application/json' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>' \
  --data '
{
  "status": "DELIVERED",
  "tracking_number": "BR123456789",
  "carrier": "Correios",
  "shipped_at": "2026-03-01T10:00:00.000Z"
}
'
{
  "status": "RECEIVED"
}

Authorizations

public-api-key
string
header
required

Your public API key from the Yuno Dashboard

private-secret-key
string
header
required

Your private secret key (server-side only)

Path Parameters

payment_id
string<uuid>
required

The unique identifier of the payment

Body

application/json
status
enum<string>
required

Fulfillment status

Available options:
SHIPPED,
DELIVERED,
RETURNED
tracking_number
string

Shipment tracking number

carrier
string

Shipping carrier name

shipped_at
string<date-time>

Shipment date

Response

Fulfillment notification received

status
string
Example:

"RECEIVED"